<?php
/**
 * Amount Left for Free Shipping for WooCommerce - Core Class
 *
 * @version 1.6.0
 * @since   1.0.0
 * @author  Algoritmika Ltd.
 */

if ( ! defined( 'ABSPATH' ) ) exit; // Exit if accessed directly

if ( ! class_exists( 'Alg_WC_Left_To_Free_Shipping_Core' ) ) :

class Alg_WC_Left_To_Free_Shipping_Core {

	/**
	 * Constructor.
	 *
	 * @version 1.6.0
	 * @since   1.0.0
	 */
	function __construct() {
		if ( 'yes' === get_option( 'alg_wc_left_to_free_shipping_enabled', 'yes' ) ) {
			// Cart
			if ( 'yes' === get_option( 'alg_wc_left_to_free_shipping_info_enabled_cart', 'no' ) ) {
				add_action(
					get_option( 'alg_wc_left_to_free_shipping_info_position_cart', 'woocommerce_after_cart_totals' ),
					array( $this, 'show_left_to_free_shipping_info_cart' ),
					get_option( 'alg_wc_left_to_free_shipping_info_priority_cart', 10 )
				);
			}
		}
		do_action( 'alg_wc_left_to_free_shipping_core_loaded', $this );
	}

	/**
	 * show_left_to_free_shipping_info_cart.
	 *
	 * @version 1.6.0
	 * @since   1.0.0
	 */
	function show_left_to_free_shipping_info_cart() {
		echo alg_get_left_to_free_shipping( do_shortcode( get_option( 'alg_wc_left_to_free_shipping_info_content_cart', alg_wc_alfs_get_default_content() ) ) );
	}

}

endif;

return new Alg_WC_Left_To_Free_Shipping_Core();
